Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.struts.common
Class PortletURIAttributes

    java.lang.Object
      com.ibm.portal.struts.common.PortletURIAttributes

Direct Known Subclasses:
  PortletURIAttributes

    public class PortletURIAttributes

extends java.lang.Object

The `PortletURIAttributes` class is used to specify attributes about the portlet URI that need to be created.

Since:
  5.1

Field Summary
`static int` | `RETURN_URL` The return URL.
`static int` | `STANDARD_URL` The standard URL.

Constructor Summary
`PortletURIAttributes()` Constructs the portlet URI attribute object.

Method Summary
`java.lang.String` | `getPortletMode()` Returns the portlet mode.
`java.lang.String` | `getUriType()` Returns the URI type.
`java.lang.String` | `getWindowState()` Returns the window state.
`boolean` | `isUriType(int type)` Determines if the URI type is the type specified.
`void` | `setPortletMode(java.lang.String portletMode)` Sets the portlet mode.
`void` | `setUriType(java.lang.String uriType)` Sets the URI type.
`void` | `setWindowState(java.lang.String windowState)` Sets the window state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STANDARD_URL

    public static final int STANDARD_URL

  The standard URL.

  See Also:
    Constant Field Values

### RETURN_URL

    public static final int RETURN_URL

  The return URL.

  See Also:
    Constant Field Values

Constructor Detail

### PortletURIAttributes

    public PortletURIAttributes()

  Constructs the portlet URI attribute object.

Method Detail

### getUriType

    public java.lang.String getUriType()

  Returns the URI type.

  Returns:
    returns the URI type, standard will be returned if not set

### setUriType

    public void setUriType(java.lang.String uriType)

  Sets the URI type.

  Parameters:
    `uriType` - the type of URI

### isUriType

    public boolean isUriType(int type)

  Determines if the URI type is the type specified.

  Parameters:
    `uriType` - the URI type
  Returns:
    true if the type is of the type

### getWindowState

    public java.lang.String getWindowState()

  Returns the window state.

  Returns:
    the window state

### setWindowState

    public void setWindowState(java.lang.String windowState)

  Sets the window state.

  Parameters:
    `windowState` - the window state

### getPortletMode

    public java.lang.String getPortletMode()

  Returns the portlet mode.

  Returns:
    returns portlet mode

### setPortletMode

    public void setPortletMode(java.lang.String portletMode)

  Sets the portlet mode.

  Parameters:
    `portletMode` - the portlet mode

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD